﻿namespace TestProject;

/// <summary>
/// 작업 객체 정보 타입
/// </summary>
public enum JobObjectInformationType
{
    /// <summary>
    /// Associate Completion Port Information
    /// </summary>
    AssociateCompletionPortInformation = 7,

    /// <summary>
    /// Basic Limit Information
    /// </summary>
    BasicLimitInformation = 2,

    /// <summary>
    /// Basic UI Restrictions
    /// </summary>
    BasicUIRestrictions = 4,

    /// <summary>
    /// End Of Job Time Information
    /// </summary>
    EndOfJobTimeInformation = 6,

    /// <summary>
    /// Extended Limit Information
    /// </summary>
    ExtendedLimitInformation = 9,

    /// <summary>
    /// Security Limit Information
    /// </summary>
    SecurityLimitInformation = 5,

    /// <summary>
    /// Group Information
    /// </summary>
    GroupInformation = 11
}