﻿using System.Runtime.InteropServices;

namespace TestProject;

/// <summary>
/// 보안 특성
/// </summary>
[StructLayout(LayoutKind.Sequential)]
public struct SECURITY_ATTRIBUTES
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Field
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region Field

    /// <summary>
    /// 길이
    /// </summary>
    public int Length;

    /// <summary>
    /// 보안 설명자
    /// </summary>
    public IntPtr SecurityDescriptor;

    /// <summary>
    /// 상속 핸들
    /// </summary>
    public int InheritHandle;

    #endregion
}