﻿using System.Runtime.InteropServices;

namespace TestProject;

/// <summary>
/// IO 카운트
/// </summary>
[StructLayout(LayoutKind.Sequential)]
public struct IO_COUNTERS
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Field
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region Field

    /// <summary>
    /// 읽기 연산 카운트
    /// </summary>
    public ulong ReadOperationCount;

    /// <summary>
    /// 쓰기 연산 카운트
    /// </summary>
    public ulong WriteOperationCount;

    /// <summary>
    /// 기타 연산 카운트
    /// </summary>
    public ulong OtherOperationCount;

    /// <summary>
    /// 읽기 전송 카운트
    /// </summary>
    public ulong ReadTransferCount;

    /// <summary>
    /// 쓰기 전송 카운트
    /// </summary>
    public ulong WriteTransferCount;

    /// <summary>
    /// 기타 전송 카운트
    /// </summary>
    public ulong OtherTransferCount;

    #endregion
}